Bug 1833 - [UPDATE REQUEST] plasma-applet-yawp 0.4.3 -> 0.4.5
: [UPDATE REQUEST] plasma-applet-yawp 0.4.3 -> 0.4.5
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 15:58 MSK by Andrey Bondrov
Modified: 2013-03-28 12:08 MSK (History)
3 users (show)

See Also:
RPM Package: plasma-applet-yawp
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
dmitry.romashkin: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-03-25 15:58:08 MSK
New version of plasma-applet-yawp was released.
Comment 1 Andrey Bondrov 2013-03-25 16:00:19 MSK
Advisory: "New version 0.4.5. 

Changes since 0.4.3:
- Bugfix: Desktop mode is not reusing applet size from last session. 
- Bugfix: yaWP crashes in systemtray with KDE 4.10
- New desktop painter has been added. Yawp can be configured to use the traditional or the new one for desktop and/or for popup window.
- Panel painter has been rewritten
- Initialization stuff of yawp has been moved to init method, because yawp crashes on KDE 4.8 due to the usage of not initialized components.
- Usage of KMessageBox has been replaced within DlgAddCity, otherwise yawp crashes on KDE 4.8.5 (some earlier versions might be included as well).
- Using KMessageBoxes within KConfigDialog (yawp settings dialog) still works as expected.
- Google ION has been removed, because Google does not support this service any longer.
- Updating and fixing translations
- Bugfix: yaWP did not update weatherdata periodically after hibernation - it is working now"

https://abf.rosalinux.ru/build_lists/1039898
https://abf.rosalinux.ru/build_lists/1039899
Comment 2 Alexander Petryakov 2013-03-27 01:29:45 MSK
plasma-applet-yawp-0.4.5-1
************** Advisory **************
New version 0.4.5. 

Changes since 0.4.3:
- Bugfix: Desktop mode is not reusing applet size from last session. 
- Bugfix: yaWP crashes in systemtray with KDE 4.10
- New desktop painter has been added. Yawp can be configured to use the traditional or the new one for desktop and/or for popup window.
- Panel painter has been rewritten
- Initialization stuff of yawp has been moved to init method, because yawp crashes on KDE 4.8 due to the usage of not initialized components.
- Usage of KMessageBox has been replaced within DlgAddCity, otherwise yawp crashes on KDE 4.8.5 (some earlier versions might be included as well).
- Using KMessageBoxes within KConfigDialog (yawp settings dialog) still works as expected.
- Google ION has been removed, because Google does not support this service any longer.
- Updating and fixing translations
- Bugfix: yaWP did not update weatherdata periodically after hibernation - it is working now
**************************************
QA Verified